[paludis-user] Trouble updating perl virtuals

marcin kowalski yoshi314 at gmail.com
Thu Aug 7 17:58:07 UTC 2014


Try adding -D perl-core/Math-BigInt , or permit its downgrade and see what
happens. There is more up to date virtual available, so perhaps -D is the
way to go.

Huh, that dependency range in virtual/perl-Math-BigRat is pretty strictly
defined.

Redo the resolution and post what happens.


2014-08-07 18:45 GMT+02:00 Andreas Gick <andreasgick at web.de>:

> Hi,
>
> tried that
> > -D perl-core/Math-BigRat
> and received the following:
>
> n   virtual/perl-Math-BigRat:0::gentoo 0.260.400 to ::installed
>     "Virtual for Math-BigRat"
>     build_options: symbols=split -dwarf_compress -optional_tests -trace
> work=tidyup
>     Reasons: perl-core/Math-BigInt-1.997.0-r2:0::gentoo
>
> -u  perl-core/Math-BigInt:0::gentoo (not the best version) 1.997.0-r2 to
> ::installed replacing 1.997.0
>     build_options: symbols=split -dwarf_compress -optional_tests -trace
> work=tidyup
>     Reasons: target (reinstalling dependents of perl-core/Math-BigRat),
> virtual/perl-Math-BigInt-1.997.0:0::installed
>     208.53 kBytes to download
>
> n   virtual/perl-bignum:0::gentoo 0.330.0 to ::installed
>     "Virtual for bignum"
>     build_options: symbols=split -dwarf_compress -optional_tests -trace
> work=tidyup
>     Reasons: perl-core/Math-BigInt-1.997.0-r2:0::gentoo
>
> <   perl-core/bignum 0.300.0:0::installed
>     Reasons: target (reinstalling dependents of perl-core/Math-BigRat),
> !<perl-core/bignum-0.330.0 from virtual/perl-bignum-0.330.0:0::gentoo,
> !>perl-core/bignum-0.330.0-r999 from virtual/perl-bignum-0.330.0:0::gentoo
>
> Total: 1 upgrades, 2 new installs, 1 uninstalls, 208.53 kBytes to download
>
> Build Options:
>     dwarf_compress:                Compress DWARF2+ debug information
>     optional_tests:                Run tests considered by the package
> to be optional
>     symbols:                       How to handle debug symbols in
> installed files
>     trace:                         Trace actions executed by the package
> (very noisy, for debugging broken builds only)
>     work:                          Whether to preserve or remove working
> directories
>
> I encountered the following errors:
>
> !   perl-core/Math-BigRat
>     Reasons: target, !<perl-core/Math-BigRat-0.260.400 from
> virtual/perl-Math-BigRat-0.260.400:0::gentoo,
> !>perl-core/Math-BigRat-0.260.400-r999 from
> virtual/perl-Math-BigRat-0.260.400:0::gentoo
>     Unsuitable candidates:
>       * perl-core/Math-BigRat-0.260.200-r1:0::gentoo
>         Did not meet !<perl-core/Math-BigRat-0.260.400, use existing if
> possible, installing to / (nothing is fine too) from
> !<perl-core/Math-BigRat-0.260.400 from
> virtual/perl-Math-BigRat-0.260.400:0::gentoo
>
> I cannot proceed without being permitted to do the following:
>
> -u  perl-core/Math-BigInt:0::gentoo (not the best version) 1.997.0-r2 to
> ::installed replacing 1.997.0
>     build_options: symbols=split -dwarf_compress -optional_tests -trace
> work=tidyup
>     Reasons: target (reinstalling dependents of perl-core/Math-BigRat),
> virtual/perl-Math-BigInt-1.997.0:0::installed
>     Cannot proceed without: --permit-old-version
>
> Regards Andreas
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.exherbo.org/pipermail/paludis-user/attachments/20140807/25889772/attachment.html>


More information about the paludis-user mailing list